//=============================================================================
// BaseSpawner.
//
// For testing purposes, do not modify or redistribute
// Have suggestions? Contact me.
// caco_fff@hotmail.com - Higor at UT99.org
//=============================================================================
class BWP_Dumper expands InfoPoint
	config(DumpedWaypoints);

var config string jDumped[60], wDumped[700];

//REFERENCIAS STRUCT
struct WpInfo
{
	var() vector BwpLoc;
	var() name BwpTag;
	var() name ConnectWith;
	var() name IgnoredWp;
	var() name MarkedTeleporter;
	var() name MarkedLift;
	var() bool NoLink;
	var() JtJInfo MyJTJ;
};

struct JunctionInfo
{
	var() vector JcLoc;
	var() name JcTag;
	var() name IgnoreConnection;
	var() bool PreTouch;
	var() bool Goal;
	var() JtJInfo MyJTJ;
};


event PostBeginPlay()
{
	local BotzJunction aJunc, jList[60];
	local BotzWp aWp, wpList[700];
	local int i;

	i = 0;
	ForEach AllActors (class'BotzJunction', aJunc )
	{
		jList[i] = aJunc;
		i++;
	}

	i = 0;
	ForEach AllActors (class'BotzWp', aWp )
	{
		wpList[i] = aWp;
		i++;
	}

	For ( i=0 ; i<60 ; i++ )
	{
		if ( jList[i] == none )
			break;
		jDumped[i] = "Junciones("$i$")=(JcLoc=(X="$jList[i].Location.X$",Y="$jList[i].Location.Y$",Z="$jList[i].Location.Z$")";

		if ( (jList[i].Tag != '') && (jList[i].Tag != 'BotzJunction') && (jList[i].Tag != 'BotzGoal') )
			jDumped[i] = jDumped[i]$",JcTag="$jList[i].Tag;
		if ( BotzGoal(jList[i]) != none )
			jDumped[i] = jDumped[i]$",Goal=True";
		if ( jList[i].IgnoredName != '' )
			jDumped[i] = jDumped[i]$",IgnoredWp="$jList[i].IgnoredName;
		jDumped[i] = jDumped[i]$")";
	}

	For ( i=0 ; i<700 ; i++ )
	{
		if ( wpList[i] == none )
			break;
		wDumped[i] = "Waypoints("$i$")=(BwpLoc=(X="$wpList[i].Location.X$",Y="$wpList[i].Location.Y$",Z="$wpList[i].Location.Z$")";
		if ( (wpList[i].Tag != '') && (wpList[i].Tag != 'BotzWp') )
			wDumped[i] = wDumped[i]$",BwpTag="$wpList[i].Tag;
		if ( wpList[i].NoLink )
			wDumped[i] = wDumped[i]$",NoLink=True";
		if ( wpList[i].MustConnect != '' )
			wDumped[i] = wDumped[i]$",ConnectWith="$wpList[i].MustConnect;
		if ( wpList[i].NeverConnectName != '' )
			wDumped[i] = wDumped[i]$",IgnoredWp="$wpList[i].NeverConnectName;
		if ( wpList[i].TeleP != none )
			wDumped[i] = wDumped[i]$",MarkedTeleporter="$wpList[i].TeleP.Tag;
		if ( wpList[i].MyLift != none )
			wDumped[i] = wDumped[i]$",MarkedLift="$wpList[i].MyLift.name;
		wDumped[i] = wDumped[i]$")";
	}
	saveConfig();
}

defaultproperties
{
}
